﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
    
public partial class Page2 : System.Web.UI.Page
{
    static int countActor, countHead;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        // Предотвращение повторной инициализации
        if (this.IsPostBack) return; 
    
        // Инициализация элементов управления
        countActor = ActorList.Items.Count;
        countHead = HeadList.Items.Count;
    }
    
    protected void ActorList_SelectedIndexChanged(object sender, EventArgs e)
    {
        // Блок выбора актеров
        Actor.Text = "";
        int j = 0;
        for (int i = 0; i < countActor; i++)
            if (ActorList.Items[i].Selected)
            {
                j++;
                Actor.Text += j.ToString()
                    + ") "
                    + ActorList.Items[i].Text;
                if (i < countActor - 1)
                    Actor.Text += "<br>";
            }
    }
    
    protected void HeadList_SelectedIndexChanged(object sender, EventArgs e)
    {
        // Блок выбора Начальника
        Head.Text = "";
        int j = 0;
        for (int i = 0; i < countHead; i++)
            if (HeadList.Items[i].Selected)
            {
                j++;
                Head.Text += j.ToString()
                    + ") "
                    + HeadList.Items[i].Text;
                if (i < countHead - 1)
                    Head.Text += "<br>";
            }
    }
}
