﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
    
public partial class Page3 : System.Web.UI.Page
{
    static int count1, count2, count3, count4;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Page.IsPostBack) return; // Выполнять только раз
    
        // Заполнить первую строку таблицы
        lblTitle.Text = "<h1 style='color: #FF0000'>Элементы "
            + "управления DropDownList и ListBox</h1>";
    
        // Заполнить программно DropDownList2
        // Способ 1 - нормальный
        DropDownList2.Items.Add("Москва3");
        DropDownList2.Items.Add("Назарово3");
        DropDownList2.Items.Add("Казань3");
        DropDownList2.Items.Add("Красноярск3");
        // Способ 2 - извращенный
        DropDownList2.Items.Add(new ListItem("Петербург3"));
        DropDownList2.Items.Add(new ListItem("Тула3"));
        DropDownList2.Items.Add(new ListItem("Рязань3"));
        DropDownList2.Items.Add(new ListItem("Воронеж3"));
        // Способ 3 - добавить спереди
        DropDownList2.Items.Insert(0, "Ачинск3");
        // Выбрать элемент списка
        DropDownList2.Items[4].Selected = true;
    
        // Заполнить программно ListBox2
        // Можно заполнить точно также, но мы это
        // сделаем через промежуточный источник
        // Создать источник данных
        ArrayList tmp = new ArrayList();
        tmp.Add("Москва4");
        tmp.Add("Назарово4");
        tmp.Add("Казань4");
        tmp.Add("Красноярск4");
        tmp.Add("Петербург4");
        tmp.Add("Тула4");
        tmp.Add("Рязань4");
        tmp.Add("Воронеж4");
        tmp.Insert(0, "Ачинск4");
        // Привязать данные к списку ListBox2
        ListBox2.DataSource = tmp;
        ListBox2.DataBind();
        // Выбрать элемент списка
        ListBox2.Items.FindByText("Красноярск4").Selected = true;
    
        // Списки сформированы, можно определить их длину
        count1 = DropDownList1.Items.Count;
        count2 = ListBox1.Items.Count;
        count3 = DropDownList2.Items.Count;
        count4 = ListBox2.Items.Count;
    
        // Выделить в ListBox1 последний элемент
        ListBox1.Items[count2 - 1].Selected = true;
    
        // Сбросить значения текстовых меток
        Label1.Text = Label2.Text = Label3.Text = Label4.Text = "";
    }
    
    protected void Button1_Click(object sender, EventArgs e)
    {
        int j;
    
        // Первый список
        Label1.Text = "";
        j = 0;
        for (int i = 0; i < count1; i++)
            if (DropDownList1.Items[i].Selected)
            {
                j++;
                Label1.Text += j.ToString()
                    + ") "
                    + DropDownList1.Items[i].Text;
                if (i < count1 - 1)
                    Label1.Text += "<br>";
            }
    
        // Второй список
        Label2.Text = "";
        j = 0;
        for (int i = 0; i < count2; i++)
            if (ListBox1.Items[i].Selected)
            {
                j++;
                Label2.Text += j.ToString()
                    + ") "
                    + ListBox1.Items[i].Text;
                if (i < count1 - 1)
                    Label2.Text += "<br>";
            }
    
        // Третий список
        Label3.Text = "";
        j = 0;
        for (int i = 0; i < count3; i++)
            if (DropDownList2.Items[i].Selected)
            {
                j++;
                Label3.Text += j.ToString()
                    + ") "
                    + DropDownList2.Items[i].Text;
                if (i < count3 - 1)
                    Label3.Text += "<br>";
            }
    
        // Четвертый список
        Label4.Text = "";
        j = 0;
        for (int i = 0; i < count4; i++)
            if (ListBox2.Items[i].Selected)
            {
                j++;
                Label4.Text += j.ToString()
                    + ") "
                    + ListBox2.Items[i].Text;
                if (i < count4 - 1)
                    Label4.Text += "<br>";
            }
    }
}
