﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Page6 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.IsPostBack) return;// Только для инициализации
    
        ArrayList tmp = new ArrayList();// Создать промежуточный источник
        tmp.Add("Красноярск"); // Наполнить источник
        tmp.Add("Ачинск");
        tmp.Add("Пермь");
        tmp.Add("Минусинск");
        tmp.Add("Барнаул");
        tmp.Add("Новосибирск");
        tmp.Add("Омск");
        tmp.Add("Иркутск");
        tmp.Add("Чита");
        ListBox1.DataSource = tmp;// Связать
        ListBox1.DataBind(); // Загрузить
        ListBox1.Rows = ListBox2.Rows = 6; // Высота списков в строках
    }
    
    protected void Button1_Click(object sender, EventArgs e)
    {
        // Создаем коллекцию для временного хранения строк списка
        ListItemCollection tmp = new ListItemCollection();
        // Перебираем левый список и ищем выделенное
        foreach (ListItem s in ListBox1.Items)
        {
            if (s.Selected)
                tmp.Add(s);
        }
    
        // Слева уничтожаем, справа добавляем то, что нашли выделенное
        foreach (ListItem s in tmp)
        {
            ListBox1.Items.Remove(s);
            ListBox2.Items.Add(s);
        }
    }
    
    protected void Button2_Click(object sender, EventArgs e)
    {
        // Создаем коллекцию для временного хранения строк списка
        ListItemCollection tmp = new ListItemCollection();
        // Перебираем правый список и ищем выделенное
        foreach (ListItem s in ListBox2.Items)
        {
            if (s.Selected)
                tmp.Add(s);
        }
    
        // Справа уничтожаем, слева добавляем то, что нашли выделенное
        foreach (ListItem s in tmp)
        {
            ListBox2.Items.Remove(s);
            ListBox1.Items.Add(s);
        }
    }
}
