﻿using System;
using System.Data;
using System.Web.UI.WebControls;
    
public partial class Page7 : System.Web.UI.Page
{
    // Объявляем ссылку на поставщика данных
    protected System.Data.SqlClient.SqlDataAdapter DSAdapter;
    
    // Объявляем ссылку на набор данных 
    protected System.Data.DataSet ProductsData;
    
    // Создаем SQL-команду для выборки данных поставщиком
    protected System.String cmd = "SELECT ProductID, ProductName FROM Products";
     
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.IsPostBack) return;// Только для инициализации
    
        // Создали поставщик данных с нужными настройками
        DSAdapter = new System.Data.SqlClient.SqlDataAdapter(
            cmd, "server=localhost; uid=sa; pwd=; database=Northwind");
    
        // Создали набор данных
        ProductsData = new DataSet();
    
        // Заполнили набор данными из поставщика
        DSAdapter.Fill(ProductsData, "Products");
    
        // Подсоединяем список к набору данных как источнику данных
        ProductsList.DataSource = ProductsData.Tables["Products"].DefaultView;
    
        // Указываем, из какой колонки брать видимые тексты элементов списка
        ProductsList.DataTextField = "ProductName";
    
        // Указываем, из какой колонки брать невидимые значения элементов списка
        ProductsList.DataValueField = "ProductID";
    
        // Заполняем список из присоединенного источника данных ProductsData
        ProductsList.DataBind();
    
        // Выводим в текстовую метку выделенное значение
        ProductSelection.Text = ProductsList.SelectedItem.Value;
    }
    
    protected void ProductsList_SelectedIndexChanged(object sender, EventArgs e)
    {
        // Выводим в текстовую метку выделенное значение
        ProductSelection.Text = ProductsList.SelectedItem.Value;
    }
}
